
Figure - 需求 Requirement #117729
扩展pstore解析内容
2023-05-04 09:41 - CD SYSTEM-胡兵

Status: 分析&分解中 In Analysis Start date: 2023-05-04

Priority: Normal Due date: 2023-05-15

Assignee: CD SYSTEM-夏旭 % Done: 20%

Category: Estimated time: 0.00 hour

Target version:

Description

ramdump，现阶段保留，正式出货后关闭，并且解析子系统的crash信息保存到pstore

History

#1 - 2023-05-08 10:32 - CD SYSTEM-夏旭

- Status changed from New to 分析&分解中 In Analysis

#2 - 2023-05-12 10:48 - CD SYSTEM-夏旭

- % Done changed from 0 to 20

1.已经调查，发现内核未打开CONFIG_PSTORE_PMSG，这样就不会生成dev/pmsg的结点，让logd进程写入到pstore进程中,

2.下一步打开进行验证

#3 - 2023-05-16 20:46 - CD SYSTEM-夏旭

■目前进度

添加logcat内容到pstore已经成功

■下一步计划

添加子系统到pstore

#4 - 2023-05-17 10:17 - CD SYSTEM-夏旭

1.打开内核配置CONFIG_PSTORE_PMSG，后生成了相关节点 ，也能读取出相关数据了

2025-08-17 1/1


